Page MenuHomePhabricator

Enable wgAbuseFilterNotificationsPrivate on commons.wikimedia.org
Closed, ResolvedPublic

Description

Community discussion: https://commons.wikimedia.org/wiki/Special:Permalink/343032988#Enabling_private_AbuseFilters_to_be_logged_publicly

I am pretty sure $wgAbuseFilterNotificationsPrivate is what we want, but just in case: The desire is for private filters to be logged at Special:AbuseLog just like they are on en.wikipedia.org. This I assume will expose private filter hits in EventStreams, which is why I made the proposal.

Thank you!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2019, 11:23 PM

I have no idea how to start using gerrit, but (in my inexperienced opinion) I ~think~ you just need to add
$wgAbuseFilterNotificationsPrivate = true; // T218527
at
https://gerrit.wikimedia.org/r/plugins/gitiles/operations/mediawiki-config/+/refs/heads/master/wmf-config/abusefilter.php#98

Thanks @Aklapper but after trying for a few hours, and getting nowhere, I gave up. I'll likely try again at some point in the future. Thanks though

Ammarpad claimed this task.Mar 18 2019, 5:21 AM
Ammarpad added a subscriber: Ammarpad.

I think I can do this.

Change 497236 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Enable logging of private filters on commonswiki

https://gerrit.wikimedia.org/r/497236

Great! Just a note - this setting is not for logging to Special:AbuseLog, but to recent changes. More specifically, to the places defined in $wgAbuseFilterNotifications, as this setting is only used to decide whether to include private filters there. Needless to say, having all filters logged to RC can greatly help patrollers (with or without abusefilter-modify right), who will know what edits are more likely to be bad.

Great! Just a note - this setting is not for logging to Special:AbuseLog, but to recent changes. More specifically, to the places defined in $wgAbuseFilterNotifications, as this setting is only used to decide whether to include private filters there. Needless to say, having all filters logged to RC can greatly help patrollers (with or without abusefilter-modify right), who will know what edits are more likely to be bad.

Thanks, this indeed is what we're looking for. Did we want to schedule a SWAT deploy?

@MusikAnimal I'll take care of it. Scheduled in tomorrow's SWAT.

@Daimona Did this get deployed? One of the private filters I monitor was tripped today but I don't think it was reported in EventStreams :/

I don't see it at https://noc.wikimedia.org/conf/highlight.php?file=abusefilter.php so I'm guessing that's a no. It's not super urgent. Let me know if you need a hand.

@MusikAnimal Actually it wasn't. My patches were last, and took up more time than they should because the other 2 (for T191039) had to be rolled back. I rescheduled everything European Mid-day SWAT (on Monday). Will let you know!

Change 497236 had a related patch set uploaded (by Zfilipin; owner: Ammarpad):
[operations/mediawiki-config@master] Enable logging of private filters on commonswiki

https://gerrit.wikimedia.org/r/497236

Change 497236 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable logging of private filters on commonswiki

https://gerrit.wikimedia.org/r/497236

Mentioned in SAL (#wikimedia-operations) [2019-04-01T11:34:25Z] <zfilipin@deploy1001> Synchronized wmf-config/abusefilter.php: SWAT: [[gerrit:497236|Enable logging of private filters on commonswiki (T218527)]] (duration: 00m 50s)

Daimona closed this task as Resolved.Mon, Apr 1, 11:35 AM
Daimona removed a project: Patch-For-Review.